Skip to main content

Get recurring resident charge by ID

GEThttps://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

recurring_resident_charge_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the recurring resident charge

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /RecurringCharges
    Example: 6
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /RecurringCharges
    Example: 9
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Method
    GET /RecurringCharges
    Example: 8
    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    Method
    GET /RecurringCharges
    Example: 12
    x_financial_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    Method
    GET /RecurringCharges
    Example: 65
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    Method
    GET /RecurringCharges
    Example: 7
    amount_in_centsnumber | nullnullablerequired

    The total amount of the recurring resident charge

    Method
    GET /RecurringCharges
    Example: 1276
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    Method
    GET /RecurringCharges
    Example: $12.76
    is_activenullrequired

    Whether the recurring resident charge is active

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    descriptionstring | nullnullablerequired

    Description of the recurring resident charge

    Method
    GET /RecurringCharges
    Example: Garbage disposal
    reference_numbernullrequired

    The reference number for the recurring resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    start_datestring | nullnullablerequired

    The start date associated with the recurring resident charge

    Method
    GET /RecurringCharges
    Example: 2025-01-01T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge

    Method
    GET /RecurringCharges
    Example: 2026-01-01T00:00:00.000Z
    frequency_rawstring | nullnullablerequired

    The raw value of the frequency of the recurring resident charge

    Method
    GET /RecurringCharges
    Example: 1
    frequency_normalizedstring | nullnullablerequired

    The frequency of the recurring resident charge

    Method
    GET /RecurringCharges
    Show 4 enum values
    OTHERWEEKLYMONTHLYDAILY
    Example: monthly
    charge_due_daynullrequired

    The due date associated with the recurring resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    custom_data object | nullrequired
    object
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    Method
    GET /RecurringCharges
    Example: cmf4cxh4341377415607yroskx23tro
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    Method
    GET /RecurringCharges
    Example: cmd681bu1000307l44lfne1f5:2:1:1
    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    Method
    GET /RecurringCharges
    Example: cmd681bu1000307l44lfne1f5:na:2:12
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/recurring-resident-charges/:recurring_resident_charge_id
curl https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "6",
"x_property_id": "9",
"x_location_id": "8",
"x_charge_code_id": "12",
"x_financial_account_id": "65",
"x_lease_id": "7",
"amount_in_cents": 1276,
"amount_raw": "$12.76",
"is_active": null,
"description": "Garbage disposal",
"reference_number": null,
"start_date": "2025-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"frequency_raw": "1",
"frequency_normalized": "monthly",
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "cmf4cxh4341377415607yroskx23tro",
"lease_id": "cmd681bu1000307l44lfne1f5:2:1:1",
"charge_code_id": "cmd681bu1000307l44lfne1f5:na:2:12",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}